# 可观测性分析平台
`OAP`(可观测性分析平台)是从`SkyWalking 6.x`开始的一个新的概念. 而且`OAP`将会替代掉`SkyWalking6.x`**之前版本**的整个后端。 
下面将会讲解下整个新平台的功能。

## OAP的功能
`OAP`可以接受更多的数据来源，这些数据来源主要分为两类：**链路跟踪**和**指标**
- **链路跟踪**. 支持`SkyWalking`原生的数据格式，`Zipkin v1,v2`的数据格式和`Jaeger`的数据格式.
- **指标**. `SkyWalking`已经与服务网格平台（`Istio`，` Envoy`, `Linkerd`）进行整合，可以从这些服务网格平台的数据面板或者控制面板提供可观测性。
而且，`Skywalking`的原生`agent`也可以运行在指标模式之下，这能够极大地提升性能。

通过使用`SkyWalking`的日志插件和`toolkits`，`SkyWalking`可以通过使用`trace id`或者`span id`将链路与日志串联起来，从而可以将日志系统与链路系统进行可视化集成。

跟之前一样，我们提供了`gRpc`和`Http`协议去让那些我们无法支持的生态系统更好地融入进来。

## 链路跟踪 之 OAP
`OAP`中的链路跟踪有两条方式去运行，
1. 与`SkyWalking 5`版本保持一致. 将所有的链路数据（包含`Zipkin` 格式的数据）都压缩成`SkyWalking`的原生格式，然后通过`OAP`去分析这些已经统一格式的数据去获取到指标，最终将这些数据进行流式聚合。
2. 将这些链路数据只是用作某些类型的日志集合，仅仅只提供存储以及整个链路的可视化功能。

并且，`SkyWalking`可以接受其他系统（`Zipkin`，`Jeager`，`OpenCensus`）传过来的链路数据，并使用上面的两种方式去处理

## 指标 之 OAP
指标在`SkyWalking6`版本是一个全新的功能。可以不通过链路数据为一个基于指标连通节点的分布式系统建立可观测性。

流式模型的`OAP`集群会将指标数据进行聚合。具体信息可以查看[可观测性分析语言](oal-cn.md)，它提供了一个简单的脚本风格方式去进行数据聚合分析。